remove ""

This commit is contained in:
Tobias Powalowski 2023-05-01 09:59:58 +02:00
parent 8aefb4e6ef
commit c8ad654b06
3 changed files with 4 additions and 4 deletions

View file

@ -30,11 +30,11 @@ _parameters() {
_clean_cache() {
if [[ "${_CLEANUP_CACHE}" == "1" ]]; then
echo "Cleaning pacman cache in ${1}..."
rm -r "${1}""${_CACHEDIR}"
rm -r "${1}${_CACHEDIR}"
fi
if grep -qw 'archboot' /etc/hostname; then
echo "Cleaning archboot ${_CACHEDIR}..."
for i in "${1}""${_CACHEDIR}"/*; do
for i in "${1}${_CACHEDIR}"/*; do
[[ "${i}" == "${1}${_CACHEDIR}/archboot.db" ]] || rm -f "${_CACHEDIR}"/"$(basename "${i}")"
done
fi

View file

@ -34,7 +34,7 @@ _create_iso() {
cd "${1}" || exit 1
# create container
archboot-"${_ARCH}"-create-container.sh "${_W_DIR}" -cc --install-source="${2}" || exit 1
_create_archboot_db "${_W_DIR}""${_CACHEDIR}"
_create_archboot_db "${_W_DIR}${_CACHEDIR}"
# riscv64 does not support kexec at the moment
if ! [[ "${_ARCH}" == "riscv64" ]]; then
# generate tarball in container, umount tmp container tmpfs, else weird things could happen

View file

@ -27,7 +27,7 @@ _download_packages() {
_move_packages() {
echo "Moving packages to ${2}..."
mv "${1}""${_CACHEDIR}"/./* "${2}"
mv "${1}${_CACHEDIR}"/./* "${2}"
}
_cleanup_repodir() {